%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name @openshift/dynamic-plugin-sdk

Name: %{?scl_prefix}nodejs-openshift-dynamic-plugin-sdk
Version: 5.0.1
Release: 1%{?dist}
Summary: Allows loading, managing and interpreting dynamic plugins
License: Apache-2.0
Group: Development/Libraries
URL: https://github.com/openshift/dynamic-plugin-sdk#readme
Source0: https://registry.npmjs.org/@babel/runtime/-/runtime-7.27.6.tgz
Source1: https://registry.npmjs.org/@openshift/dynamic-plugin-sdk/-/dynamic-plugin-sdk-5.0.1.tgz
Source2: https://registry.npmjs.org/@types/lodash/-/lodash-4.17.20.tgz
Source3: https://registry.npmjs.org/lodash/-/lodash-4.17.21.tgz
Source4: https://registry.npmjs.org/lodash-es/-/lodash-es-4.17.21.tgz
Source5: https://registry.npmjs.org/nanoclone/-/nanoclone-0.2.1.tgz
Source6: https://registry.npmjs.org/property-expr/-/property-expr-2.0.6.tgz
Source7: https://registry.npmjs.org/semver/-/semver-7.7.2.tgz
Source8: https://registry.npmjs.org/toposort/-/toposort-2.0.2.tgz
Source9: https://registry.npmjs.org/uuid/-/uuid-8.3.2.tgz
Source10: https://registry.npmjs.org/yup/-/yup-0.32.11.tgz
Source11: nodejs-openshift-dynamic-plugin-sdk-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(@babel/runtime)) = 7.27.6
Provides: bundled(npm(@openshift/dynamic-plugin-sdk)) = 5.0.1
Provides: bundled(npm(@types/lodash)) = 4.17.20
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(lodash-es)) = 4.17.21
Provides: bundled(npm(nanoclone)) = 0.2.1
Provides: bundled(npm(property-expr)) = 2.0.6
Provides: bundled(npm(semver)) = 7.7.2
Provides: bundled(npm(toposort)) = 2.0.2
Provides: bundled(npm(uuid)) = 8.3.2
Provides: bundled(npm(yup)) = 0.32.11
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 11 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%doc node_modules/%{npm_name}/CHANGELOG.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Wed Jul 09 2025 root <root> 5.0.1-1
- Add nodejs-openshift-dynamic-plugin-sdk generated by npm2rpm using the bundle strategy

